> For the complete documentation index, see [llms.txt](https://docs.vdo.ninja/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vdo.ninja/guides/cheat-sheets.md).

# Cheat Sheets

#### [VDO.Ninja Basic Concepts Cheatsheet](https://github.com/steveseguin/vdo.ninja/blob/quickstart/basicconcepts/cheatsheet_obsn_basic_concepts.md)

Learn the basic concepts of VDO.Ninja: Rooms, Control Center and Scenes

![](/files/WOSKE8YQpSMW6w8pFTy4)

#### [VDO.Ninja Parameters Cheatsheet](https://github.com/steveseguin/vdo.ninja/blob/quickstart/cheatsheet/cheatsheet_obsn_parameters.md)

Learn how to use parameters to customize VDO.Ninja's behavior<br>

![](/files/3smFrAudjIswUOJlZS29)

#### [VDO.Ninja Automation Cheatsheet](https://github.com/steveseguin/vdo.ninja/blob/quickstart/automation/cheatsheet_obsn_automation.md)

Learn how to automate starting up VDO.Ninja, automatically join rooms and scenes with camera and audio devices already selected<br>

![](/files/45cJPQ6mh4rnPLMmFxxo)

#### [VDO.Ninja Mac Audio Routing w Loopback Cheatsheet (example 1)](https://github.com/steveseguin/vdo.ninja/blob/quickstart/loopbackrouting1/cheatsheet_obsn_loopback_routing1.md)

Learn how to route guest and application audio on the Mac using Loopback\ <br>

![](/files/CjdOlQVbnYG75UYrJeVe)

Author:\
[Chris Marquardt](https://chrismarquardt.com/)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.vdo.ninja/guides/cheat-sheets.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
